library derry;

import 'dart:io';
import 'dart:cli' as cli;
import 'dart:ffi' as ffi;
import 'dart:isolate' show Isolate;
import 'package:ffi/ffi.dart';
import 'package:yaml/yaml.dart';
import 'package:console/console.dart';
import 'package:args/command_runner.dart';
import 'package:equatable/equatable.dart';
import 'package:string_similarity/string_similarity.dart';

part 'src/config.dart';
part 'src/execute.dart';
part 'src/load_info.dart';
part 'src/load_definitions.dart';

part 'src/ffi/ffi.dart';
part 'src/ffi/get_object.dart';

part 'src/error/handler.dart';
part 'src/error/error_type.dart';

part 'src/commands/ls.dart';
part 'src/commands/run.dart';
part 'src/commands/test.dart';
part 'src/commands/build.dart';

part 'src/models/info.dart';
part 'src/models/error.dart';
part 'src/models/definition.dart';

part 'src/helpers/to_list.dart';
part 'src/helpers/make_keys.dart';
part 'src/helpers/subcommand.dart';
part 'src/helpers/deep_search.dart';
part 'src/helpers/read_pubspec.dart';
part 'src/helpers/read_yaml_file.dart';
part 'src/helpers/parse_defnintion.dart';
